For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
AcademyContact SalesHelp CenterDashboard
DocumentationAPI ReferenceIntegrationsAdministrationChangelog
DocumentationAPI ReferenceIntegrationsAdministrationChangelog
  • Get Started
    • Introduction
    • Authentication
  • Resources
    • Dynamic Prompt Injection
    • Outbound Number Pooling
    • Timezones
  • Platform API
      • POSTCreate a contact
      • GETList contacts
      • GETGet a contact
      • PATCHUpdate a contact
      • DELDelete a contact
LogoLogo
AcademyContact SalesHelp CenterDashboard
Platform APIContacts

Create a contact

||View as Markdown|
POST
/contacts
POST
/v2/contacts
$curl -X POST https://api.synthflow.ai/v2/contacts \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "name": "John Doe",
> "phone_number": "+12025551234",
> "email": "john.doe@example.com",
> "contact_metadata": {
> "company": "Acme Corp"
> }
>}'
200Successful
1{
2 "status": "ok",
3 "response": {
4 "id": "9ad09ad3-9c22-441e-ae35-c05016a09786"
5 }
6}
Was this page helpful?
Previous

List contacts

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
namestringRequired
The contact's name.
phone_numberstringRequired
The contact's phone number.
emailstringOptional
The contact's email address.
contact_metadataobjectOptional
Additional metadata for the contact.

Response

200
statusstring
responseobject